const mongoose = require('mongoose');
const { Schema, model } = mongoose;
const gravatar = require('gravatar');
mongoose.Types.ObjectId.isValid();

const userSchema = new Schema(
	{
		name: {
			type: String,
			default: null,
		},
		lastName: {
			type: String,
			default: null,
		},
		number: {
			type: String,
			required: [true, 'Number required'],
			unique: true,
			min: 8,
			max: 14,
		},
		avatarUrl: {
			type: String,
			default: function () {
				return gravatar.url(this.email, { s: '250' }, true);
			},
		},
		token: {
			type: String,
			default: null,
		},
		code: {
			type: String,
			default: null,
		},
	},
	{ timestamps: true }
);

const User = model('user', userSchema);

module.exports = User;
