const User = require('./schemas/user');

const findByNumber = async (number) => {
	return await User.findOne({ number });
};
const findById = async (id) => {
	return await User.findById(id);
};
const createUser = async (body) => {
	const user = new User({ ...body });
	return await user.save();
};
const updateCode = async (id, code) => {
	return await User.updateOne({ _id: id }, { code });
};
const updateToken = async (id, token) => {
	return await User.updateOne({ _id: id }, { token });
};
const updateName = async (id, name) => {
	return await User.findByIdAndUpdate({ _id: id }, { name }, { new: true });
};
const updateAvatar = async (id, avatarUrl) => {
	return await User.updateOne({ _id: id }, { avatarUrl });
};

module.exports = {
	findByNumber,
	createUser,
	updateCode,
	updateToken,
	updateName,
	updateAvatar,
	findById,
};
